Skip to main content
GET
/
streams
/
{stream}
Get stream configuration.
curl --request GET \
  --url https://{basin}.b.aws.s2.dev/v1/streams/{stream} \
  --header 'Authorization: Bearer <token>'
{
  "delete_on_empty": {
    "min_age_secs": 1
  },
  "retention_policy": {
    "age": 1
  },
  "storage_class": "standard",
  "timestamping": {
    "mode": "client-prefer",
    "uncapped": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your access token.

Path Parameters

stream
string
required

Stream name.

Required string length: 1 - 512

Response

delete_on_empty
object

Delete-on-empty configuration.

retention_policy
object

Retention policy for the stream. If unspecified, the default is to retain records for 7 days.

storage_class
null | enum<string>

Storage class for recent writes.

Available options:
standard,
express
timestamping
object

Timestamping behavior.